Bug 1017402 - ecryptfs-migrate-home still fails to restore proper SELinux labels
ecryptfs-migrate-home still fails to restore proper SELinux labels
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ecryptfs-utils (Show other bugs)
20
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 15:36 EDT by Igor Bukanov
Modified: 2014-01-03 18:25 EST (History)
10 users (show)

See Also:
Fixed In Version: ecryptfs-utils-103-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 712048
Environment:
Last Closed: 2014-01-03 18:24:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Bukanov 2013-10-09 15:36:29 EDT
+++ This bug was initially created as a clone of Bug #712048 +++

In #712048 the SELinux policy was updated to allow ecryptfs-migrate-home to work. However, it seems that the utility itself was not updated to restore SELinux labels after migration.

In particular, after running on Fedora 19 and Fedora 20 Alpha

ecryptfs-migrate-home -u USER

the login for the USER does not decrypt the home folder and SELinux produces allerts like:

SELinux is preventing /usr/bin/login from getattr access on the file /home/.ecryptfs/igor/.ecryptfs/auto-mount.

SELinux is preventing /usr/bin/login from read access on the file Private.mnt.

etc.

To fix this I run restorecon -R -v /home.

After that I could login as USER and the home folder is decrypted.

This is with ecryptfs-utils-103-3.fc20.x86_64

For detailed test procedure see the original report in #712048#c0
Comment 1 Miroslav Grepl 2013-10-10 08:31:33 EDT
Michal,
AFAIK there was a patch for a shell script to run "semanage-fcontex -a -e .. .." together with restorecon.
Comment 2 Michal Hlavinka 2013-11-12 12:52:11 EST
(In reply to Miroslav Grepl from comment #1)
> Michal,
> AFAIK there was a patch for a shell script to run "semanage-fcontex -a -e ..
> .." together with restorecon.

It was and it is still there. I'll look at it.
Comment 3 Fedora Update System 2013-11-13 08:26:17 EST
ecryptfs-utils-103-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ecryptfs-utils-103-4.fc20
Comment 4 Fedora Update System 2013-11-13 08:26:29 EST
ecryptfs-utils-103-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ecryptfs-utils-103-3.fc19
Comment 5 Fedora Update System 2013-11-13 22:33:07 EST
Package ecryptfs-utils-103-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ecryptfs-utils-103-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21263/ecryptfs-utils-103-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-01-03 18:24:48 EST
ecryptfs-utils-103-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-01-03 18:25:01 EST
ecryptfs-utils-103-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.